-- Functions
items, players, times, zones, itemStr, amounts,qualities = {}, {}, {}, {}, {}, {},{}
MAX_CARDS = 1
CURRENT_PAGE = 1
UI_OPEN = 0
PLAYER_ONLY = 0
MIN_QUALITY = 1
RAID_ONLY = 1
STATIC_SIZE = 75
CARD_SIZE = 50 
RAID_IID = { [249] = 1, [409] = 1, [469] = 1, [509] = 1, [531] = 1, [309] = 1, [533] = 1}
VERSION_NUMBER = 0.08

function UIShow()
	UI_OPEN = 1
	LootInfo_MyFrame:Show()
end

function UIHide() 
	UI_OPEN = 0
	LootInfo_MyFrame:Hide()
end

function IncPage()
	if CURRENT_PAGE + 1 < (table.getn(players)/MAX_CARDS)+1 then 
		CURRENT_PAGE = CURRENT_PAGE +1
		TableUpdate()
	end
	
end

function DecPage()
	if CURRENT_PAGE - 1 > 0 then
		CURRENT_PAGE = CURRENT_PAGE-1
		TableUpdate()
	end
end

local function MyAddonCommands(msg, editbox)
	local _, _, cmd, args = string.find(msg, "%s?(%w+)%s?(.*)")

	if cmd == "show" then
		UIShow()
	elseif cmd == "hide" then
		UIHide()
	elseif cmd == "clear" then
		items, players, times, zones, itemStr, amounts = {}, {}, {}, {}, {}, {}
		CURRENT_PAGE = 1
		TableUpdate()
	elseif cmd == "quality" and args ~= nil then
		MIN_QUALITY = tonumber(args)
		if MIN_QUALITY ~= 0 and MIN_QUALITY ~= 1 and MIN_QUALITY ~= 2 and MIN_QUALITY ~= 3 and MIN_QUALITY ~= 4 and MIN_QUALITY ~= 5 then MIN_QUALITY = 0 end
		print("LootInfo: Minimum Quality: " .. MIN_QUALITY)
	elseif cmd == "player" and args ~= nil then
		PLAYER_ONLY = tonumber(args)
		if PLAYER_ONLY ~= 0 and PLAYER_ONLY ~= 1 then PLAYER_ONLY = 0 end
		print("LootInfo: Player Only: " .. PLAYER_ONLY)
	elseif cmd == "raid" and args ~= nil then
		RAID_ONLY = tonumber(args)
		if RAID_ONLY ~= 0 and RAID_ONLY ~= 1 then RAID_ONLY = 0 end
		print("LootInfo: Raid Only: " .. RAID_ONLY)
	elseif cmd == "size" and args ~= nil then
		MAX_CARDS = tonumber(args)
		CURRENT_PAGE = 1
		SetupWindow()
		TableUpdate()
		print("LootInfo: Max Size: " .. MAX_CARDS)
	elseif cmd == "export" then
		ExportCSV()
	else
	-- If not handled above, display some sort of help message
	print("Syntax: /lootinfo show: Displays Loot info frame");
	print("Syntax: /lootinfo hide: Hide Loot info frame");
	print("Syntax: /lootinfo clear: Clears all items");
	print("Syntax: /lootinfo quality: minimum quality item to track 0-5");
	print("Syntax: /lootinfo player: only show players loot 0 = no  1 = yes");
	print("Syntax: /lootinfo size: set view size of loot table");
	print("Syntax: /lootinfo export: export loot table to csv");
	print("Syntax: /lootinfo raid: limit items to inside raid 0 = no 1 = yes");
	end
end


SLASH_LOOTINFO1, SLASH_LOOTINFO2 = '/li', '/lootinfo'
SlashCmdList["LOOTINFO"] = MyAddonCommands